Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365928 - [abrt] file-roller: g_action_map_lookup_action(): file-roller killed by SIGSEGV
Summary: [abrt] file-roller: g_action_map_lookup_action(): file-roller killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1f278750232050d57a11399a251...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 14:15 UTC by Maël Lavault
Modified: 2017-08-08 16:24 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:24:09 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-10 14:15 UTC, Maël Lavault
no flags Details
File: cgroup (deleted)
2016-08-10 14:15 UTC, Maël Lavault
no flags Details
File: core_backtrace (deleted)
2016-08-10 14:15 UTC, Maël Lavault
no flags Details
File: dso_list (deleted)
2016-08-10 14:15 UTC, Maël Lavault
no flags Details
File: environ (deleted)
2016-08-10 14:15 UTC, Maël Lavault
no flags Details
File: exploitable (deleted)
2016-08-10 14:16 UTC, Maël Lavault
no flags Details
File: limits (deleted)
2016-08-10 14:16 UTC, Maël Lavault
no flags Details
File: maps (deleted)
2016-08-10 14:16 UTC, Maël Lavault
no flags Details
File: mountinfo (deleted)
2016-08-10 14:16 UTC, Maël Lavault
no flags Details
File: namespaces (deleted)
2016-08-10 14:16 UTC, Maël Lavault
no flags Details
File: open_fds (deleted)
2016-08-10 14:16 UTC, Maël Lavault
no flags Details
File: proc_pid_status (deleted)
2016-08-10 14:16 UTC, Maël Lavault
no flags Details
File: var_log_messages (deleted)
2016-08-10 14:16 UTC, Maël Lavault
no flags Details
Screenshot of "Archive Manager" after opening a sample archive (deleted)
2016-08-20 02:06 UTC, Joachim Frieben
no flags Details

Description Maël Lavault 2016-08-10 14:15:48 UTC
Version-Release number of selected component:
file-roller-3.20.2-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        file-roller /home/mlavault/Downloads/career-heroes.zip
crash_function: g_action_map_lookup_action
executable:     /usr/bin/file-roller
global_pid:     24260
kernel:         4.6.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_action_map_lookup_action at gactionmap.c:87
 #1 fr_window_enable_action at fr-window.c:676
 #6 _gtk_clipboard_handle_event at gtkclipboard.c:2024
 #7 gtk_main_do_event at gtkmain.c:1646
 #8 _gdk_event_emit at gdkevents.c:73
 #13 g_main_context_iteration at gmain.c:3901
 #14 g_application_run at gapplication.c:2381

Comment 1 Maël Lavault 2016-08-10 14:15:52 UTC
Created attachment 1189638 [details]
File: backtrace

Comment 2 Maël Lavault 2016-08-10 14:15:54 UTC
Created attachment 1189639 [details]
File: cgroup

Comment 3 Maël Lavault 2016-08-10 14:15:55 UTC
Created attachment 1189640 [details]
File: core_backtrace

Comment 4 Maël Lavault 2016-08-10 14:15:57 UTC
Created attachment 1189641 [details]
File: dso_list

Comment 5 Maël Lavault 2016-08-10 14:15:58 UTC
Created attachment 1189642 [details]
File: environ

Comment 6 Maël Lavault 2016-08-10 14:16:00 UTC
Created attachment 1189643 [details]
File: exploitable

Comment 7 Maël Lavault 2016-08-10 14:16:01 UTC
Created attachment 1189644 [details]
File: limits

Comment 8 Maël Lavault 2016-08-10 14:16:03 UTC
Created attachment 1189645 [details]
File: maps

Comment 9 Maël Lavault 2016-08-10 14:16:04 UTC
Created attachment 1189646 [details]
File: mountinfo

Comment 10 Maël Lavault 2016-08-10 14:16:06 UTC
Created attachment 1189647 [details]
File: namespaces

Comment 11 Maël Lavault 2016-08-10 14:16:07 UTC
Created attachment 1189648 [details]
File: open_fds

Comment 12 Maël Lavault 2016-08-10 14:16:08 UTC
Created attachment 1189649 [details]
File: proc_pid_status

Comment 13 Maël Lavault 2016-08-10 14:16:10 UTC
Created attachment 1189650 [details]
File: var_log_messages

Comment 14 Joachim Frieben 2016-08-20 02:06:36 UTC
Created attachment 1192380 [details]
Screenshot of "Archive Manager" after opening a sample archive

Before the bug reporting was triggered, I had opened a sample archive. As the screenshot shows, all menu items were disabled, and it was impossible to extract the content from the archive. As of current Fedora24, "Archive Manager" is close to being useless.

Comment 15 Bojan Smojver 2016-10-16 00:19:06 UTC
Similar problem has been detected:

Tried to view a PDF file inside a ZIP archive.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        file-roller /home/users/bojan/Downloads/intel/FirmwareUpdateTool_v2_1_5.zip
crash_function: g_action_map_lookup_action
executable:     /usr/bin/file-roller
global_pid:     4577
kernel:         4.7.7-200.fc24.x86_64
package:        file-roller-3.20.3-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            5000

Comment 16 Stefano 2016-10-17 18:35:28 UTC
I was using Wayland when this happend. It happens with ALL archives and I can reproduce this every time!

Comment 17 Fedora End Of Life 2017-07-25 22:21:38 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2017-08-08 16:24:09 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.